Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Move development dependencies into Gemfile

  • Loading branch information...
commit 2e06f2ebca2a6ffa3ad39feea969ddd26661e52b 1 parent a7d7ee6
@sferik sferik authored
View
3  .travis.yml
@@ -1,3 +1,4 @@
+bundler_args: --without development
gemfile:
- Gemfile
- Gemfile.rack-1.3.x
@@ -10,4 +11,4 @@ rvm:
- 1.8.7
- 1.9.2
- 1.9.3
- - ruby-head
+ - 2.0.0
View
32 Gemfile
@@ -1,17 +1,25 @@
-source 'https://rubygems.org'
+source :rubygems
-gem 'growl'
-gem 'guard'
-gem 'guard-bundler'
-gem 'guard-rspec'
-gem 'rack', '~> 1.4'
-gem 'rb-fsevent'
-#gem 'plymouth'
-#gem 'pry'
-#gem 'pry-nav'
+gem 'jruby-openssl', :platforms => :jruby
+gem 'rake'
+gem 'yard'
-platforms :jruby do
- gem 'jruby-openssl'
+group :development do
+ gem 'growl'
+ gem 'guard'
+ gem 'guard-bundler'
+ gem 'guard-rspec'
+ gem 'kramdown'
+ gem 'plymouth'
+ gem 'pry'
+ gem 'pry-nav'
+ gem 'rb-fsevent'
+end
+
+group :test do
+ gem 'rack-test'
+ gem 'rspec', '>= 2.11'
+ gem 'simplecov'
end
gemspec
View
2  lib/omniauth.rb
@@ -4,7 +4,7 @@
module OmniAuth
class Error < StandardError; end
-
+
module Strategies
autoload :Developer, 'omniauth/strategies/developer'
end
View
2  lib/omniauth/form.rb
@@ -101,7 +101,7 @@ def initialize(options = {})
def self.build(options = {},&block)
form = OmniAuth::Form.new(options)
if block.arity > 0
- yield form
+ yield form
else
form.instance_eval(&block)
end
View
2  lib/omniauth/strategies/developer.rb
@@ -21,7 +21,7 @@ module Strategies
# @example Custom Fields
#
# use OmniAuth::Builder do
- # provider :developer,
+ # provider :developer,
# :fields => [:first_name, :last_name],
# :uid_field => :last_name
# end
View
6 lib/omniauth/strategy.rb
@@ -69,7 +69,7 @@ def configure(options = nil)
# include OmniAuth::Strategy
#
# option :foo, 'bar'
- # option
+ # option
# end
def option(name, value = nil)
default_options[name] = value
@@ -219,7 +219,7 @@ def callback_call
callback_phase
end
- # Returns true if the environment recognizes either the
+ # Returns true if the environment recognizes either the
# request or callback path.
def on_auth_path?
on_request_path? || on_callback_path?
@@ -362,7 +362,7 @@ def path_prefix
def custom_path(kind)
if options[kind].respond_to?(:call)
- result = options[kind].call(env)
+ result = options[kind].call(env)
return nil unless result.is_a?(String)
result
else
View
17 omniauth.gemspec
@@ -7,22 +7,17 @@ Gem::Specification.new do |spec|
spec.authors = ['Michael Bleigh', 'Erik Michaels-Ober']
spec.email = ['michael@intridea.com', 'sferik@gmail.com']
- spec.add_runtime_dependency 'rack'
- spec.add_runtime_dependency 'hashie', '~> 1.2'
-
- spec.add_development_dependency 'kramdown'
- spec.add_development_dependency 'simplecov'
- spec.add_development_dependency 'rack-test'
- spec.add_development_dependency 'rake'
- spec.add_development_dependency 'rspec', '>= 2.8'
- spec.add_development_dependency 'yard'
+ spec.add_dependency 'rack'
+ spec.add_dependency 'hashie', '~> 1.2'
spec.version = OmniAuth::VERSION
- spec.files = `git ls-files`.split("\n")
+ spec.files = %w(.yardopts LICENSE.md README.md Rakefile omniauth.gemspec)
+ spec.files += Dir.glob("lib/**/*.rb")
+ spec.files += Dir.glob("spec/**/*")
spec.homepage = 'http://github.com/intridea/omniauth'
spec.licenses = ['MIT']
spec.require_paths = ['lib']
spec.required_rubygems_version = Gem::Requirement.new('>= 1.3.6')
spec.summary = spec.description
- spec.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ spec.test_files = Dir.glob("spec/**/*")
end
Please sign in to comment.
Something went wrong with that request. Please try again.